# [Dispatcher](README.md)

Creating the archive, switching a domain, saving scripts in the directories of projects and publishing repositories on the server.

| № | Bash script                                                   | Actions performed                                                                               |                    (+)                    |
|:-:|:--------------------------------------------------------------|:------------------------------------------------------------------------------------------------|:-----------------------------------------:|
| 1 | [**archive_backup.sh**](bash_scripts/archive_backup.sh)       | Creating a common archive for the directories of projects on the current date.                  |  [png](print_screen/archive_backup.png)   |
|   | [archive_cleanup.sh](bash_scripts/archive_cleanup.sh)         | Deleting files and folders from the directories of projects before restoring the archive.       |  [png](print_screen/archive_cleanup.png)  |
|   | [archive_packaging.sh](bash_scripts/archive_packaging.sh)     | Building websites, packaging and copying archives for deployment.                               | [gif](print_screen/archive_packaging.gif) |
| 2 | [**info_param.sh**](bash_scripts/info_param.sh)               | Parameter for other scripts. Switching the domain of the remote repository.                     |                                           |
|   | [info_references.sh](bash_scripts/info_references.sh)         | Updating the domain of a remote repository in cross-references in descriptions.                 |  [png](print_screen/info_references.png)  |
|   | [info_tree_license.sh](bash_scripts/info_tree_license.sh)     | Building a directory tree for each project and copying license files.                           | [png](print_screen/info_tree_license.png) |
| 3 | [**repo_compose.sh**](bash_scripts/repo_compose.sh)           | Creating scripts from templates with parameters and saving them in the directories of projects. |   [png](print_screen/repo_compose.png)    |
|   | [repo_forgejo.tmpl.sh](bash_scripts/repo_forgejo.tmpl.sh)     | Template of a script without parameters to create a remote repository forgejo.                  |                                           |
|   | [repo_forgejo2.tmpl.sh](bash_scripts/repo_forgejo2.tmpl.sh)   | Template of a script without parameters to publish a website on the server codeberg.            |                                           |
|   | [repo_gitlab.tmpl.sh](bash_scripts/repo_gitlab.tmpl.sh)       | Template of a script without parameters to create a remote repository gitlab.                   |                                           |
|   | [repo_local.tmpl.sh](bash_scripts/repo_local.tmpl.sh)         | Template of a script without parameters to create a local repository git.                       |                                           |
| 4 | [**suite_orchestrate.sh**](bash_scripts/suite_orchestrate.sh) | Execution of scripts. Publishing the source code from the directories of projects.              | [gif](print_screen/suite_orchestrate.gif) |
|   | [suite_pages2.sh](bash_scripts/suite_pages2.sh)               | Execution of scripts. Publishing the finished websites on the server codeberg.                  |   [gif](print_screen/suite_pages2.gif)    |
|   | [suite_profile2.sh](bash_scripts/suite_profile2.sh)           | Execution of scripts. Publishing the tables of contents of websites on the server codeberg.     |  [gif](print_screen/suite_profile2.gif)   |
|   | [suite_testing.sh](bash_scripts/suite_testing.sh)             | Testing the accessibility of pages in the web-interface on the server.                          |   [png](print_screen/suite_testing.png)   |

## Directories of projects

Local project directories are located on the same level. On the server, repositories with websites are moved to
a separate group, and the rest of the repositories remain with the user. The directory structure is the same for
[codeberg&period;org](https://codeberg&period;org/golovin),
[git&period;org&period;ru](https://git&period;org&period;ru/golovin) and
[hub&period;mos&period;ru](https://hub&period;mos&period;ru/golovin).

<pre>
.
├─ <a href='https://git.org.ru/golovin/color-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>color-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/dispatcher/src/branch/master/DIRECTORY_TREE.md'>dispatcher</a>
├─ <a href='https://git.org.ru/golovin/older-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>older-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/pomodoro/src/branch/master/DIRECTORY_TREE.md'>pomodoro</a>
├─ <a href='https://git.org.ru/pomodoro/1/src/branch/master/DIRECTORY_TREE.md'>pomodoro1</a>
├─ <a href='https://git.org.ru/pomodoro/2/src/branch/master/DIRECTORY_TREE.md'>pomodoro2</a>
├─ <a href='https://git.org.ru/pomodoro/3/src/branch/master/DIRECTORY_TREE.md'>pomodoro3</a>
├─ <a href='https://git.org.ru/pomodoro/4/src/branch/master/DIRECTORY_TREE.md'>pomodoro4</a>
├─ <a href='https://git.org.ru/pomodoro/5/src/branch/master/DIRECTORY_TREE.md'>pomodoro5</a>
└─ <a href='https://git.org.ru/pomodoro/6/src/branch/master/DIRECTORY_TREE.md'>pomodoro6</a>
</pre>
