#!/bin/bash
echo "Удаление файлов и папок из каталогов проектов перед восстановлением архива."
echo "Предохранитель: ОТМЕНА" && exit 0
cd ../.. # выход из папки и из репозитория
time_ms="$(date '+%s%3N')"
# обход всех репозиториев, расположенных на одном уровне с текущим, кроме папки ".idea"
find . -mindepth 1 -maxdepth 1 -type d -not -name ".idea" | sort | while read -r dir; do
  echo "Обработка: $dir"
  # внутри репозитория — удаление всех вложенных файлов и папок, кроме папки ".git"
  find "$dir" -mindepth 1 -maxdepth 1 -type f,d -not -name ".git" -exec rm -r {} \;
done
echo "Общее время выполнения: $(($(date '+%s%3N') - time_ms)) мс."
